[special:strings]
-\- Config -----------------------------/-

--- Available languages:
English	
Russian

language=English

-\- Permanent Settings -------------------------/-	  
build=1.1

[special:import]
{.add folder|real|template.}
{.set item|/template|hide=1.}
{.set item|/template|no log=1.}

[special:begin]
{.load|/template/{.!language.}.lng|special:strings.}

[]
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta content="yes" name="apple-mobile-web-app-capable" />
<meta content="text/html; charset=windows-1251" http-equiv="Content-Type" />
<meta content="minimum-scale=1.0, width=device-width, maximum-scale=0.6667, user-scalable=no" name="viewport" />
<link href="/template/style.css" rel="stylesheet" type="text/css" />
<script src="/template/functions.js" type="text/javascript"></script>
<meta content="keyword1,keyword2,keyword3" name="keywords" />
<meta content="Description of your site" name="description" />
<title>iMelange: {.$current_folder.}</title>
</head>
<body>
<!--{.comment|--><h1>WARNING: This template will only work with HFS 2.3 or greater; macros must be enabled.</h1><!--.} -->

<div id="topbar">
<!--	<div id="title">{.$current_folder.}</div> -->
	{.if not|{.$nav_tree.}|<div id="title">iMelange</div> .}
	<div id="leftnav">{.if|{.?search.}|<a href="/"><img alt="home" src="/template/images/home.png" /></a>.}{.$nav_tree.}</div>
	<div id="rightnav"><a href="#search-input"><img alt="home" src="/template/images/search.gif" /></a></div>
</div>

<div id="content">
{.if not|{.?search.}|
    <span class="graytitle">{.$current_folder.}</span>
	<ul class="pageitem">
        {.if |%folder-item-comment%|<li class="textbox">%folder-item-comment%</li>.}

|
    <span class="graytitle">{.!Search result.}</span>
	<ul class="pageitem">
        <li class="textbox">{.?search.}</il>
   
.}

    {.if|%number%|
        	%list%
        |
      	{.if|{.?search.}|<li class="textbox">{.!No results.}|<li class="textbox">{.!No items.}.}</li> 
        .}
    </ul>

    %files%
    
</div>

<div id="search">
	<form id="searchform" method="get" action="/" name="search">
		<input type="text" class="text" name="search" maxlength="32" value="{.if not|{.?search.}||{.?search.}.}" id="search-input" onclick="if(this.value=='{.if not|{.?search.}||{.?search.}.}')this.value=''"/>
		<input id="btn" type="submit" value=""/>
	</form>
</div>

<div id="footer">
	<span>Version: {.!Build.} Made by Hugo Stwen &copy; 2009</span><br />
	<span>Powered by: <a href="http://www.rejetto.com/hfs/">HttpFileServer %version%</a>&nbsp;&amp;&nbsp;<a href="http://iwebkit.net">iWebKit</a></span>
</div>

</body>
</html>

[current_folder]
{.breadcrumbs| {:{.set|Level|%bread-idx%.}:}.}  
{.breadcrumbs|{:{.if|{.=|{.^Level.}|%bread-idx% .}|{.or|%bread-name%|{.!Root.} .}.} :}.}

[nav_tree]
{.breadcrumbs| {:{.set|Level|%bread-idx%.}:}.}  
{.breadcrumbs|{:{.if|{.<|%bread-idx%|{.^Level.} .}|<a href="%bread-url%">{.or|%bread-name%|<img alt="home" src="/template/images/home.png" />.}</a>.}:}.}

[files]
<ul class="pageitem">
	<li class="textbox">
  		<span class="comment">%number-folders% {.!directories.},  %number-files% {.!files.}.</span>
  	</li>
  	<li class="form">
  		{.!Sort by.}: 
	  	<select onchange="window.location=this.value;return false;">
			<option type="hidden" {.if not|{.urlvar|sort.}|selected="selected".} value="%folder%">{.!Default sort.}</option>
			<option {.if|{.=|{.urlvar|sort.}|t.}|selected="selected".} value="{.get|url|sort=t|rev={.and|{.?sort=t.}|{.not|{.?rev.}.}.}.}">{.!Age.}</option>
			<option {.if|{.=|{.urlvar|sort.}|d.}|selected="selected".} value="{.get|url|sort=d|rev={.and|{.?sort=d.}|{.not|{.?rev.}.}.}.}">{.!Hits.}</option>
			<option {.if|{.=|{.urlvar|sort.}|n.}|selected="selected".} value="{.get|url|sort=n|rev={.and|{.?sort=n.}|{.not|{.?rev.}.}.}.}">{.!Name.}</option>
			<option {.if|{.=|{.urlvar|sort.}|s.}|selected="selected".} value="{.get|url|sort=s|rev={.and|{.?sort=s.}|{.not|{.?rev.}.}.}.}">{.!Size.}</option>
			<option {.if|{.=|{.urlvar|sort.}|e.}|selected="selected".} value="{.get|url|sort=e|rev={.and|{.?sort=e.}|{.not|{.?rev.}.}.}.}">{.!Type.}</option>
			<option {.if|{.=|{.urlvar|sort.}|c.}|selected="selected".} value="{.get|url|sort=c|rev={.and|{.?sort=c.}|{.not|{.?rev.}.}.}.}">{.!Comments.}</option>
		</select>
  	</li>
</ul>

[file]
<li class="item">
    <a class="noeffect" href="%item-url%">
  		<span class="image" style="background-image: url('/template/images/file.png');"></span>
  		<span class="name" style="max-width: 85%;"> %item-name%{.if|{.get|is new.}|&nbsp;<img alt="rating" src="/template/images/new.png" />.}</span>
  		<span class="comment" style="max-width: 85%;">%item-comment%</span>
		<span class="prop_ext">%item-ext%</span>
  		<span class="prop_date">%item-modified%</span>
  		<span class="prop_size">%item-size-kb% kb</span>
	</a>
</li>

[file.fb2=file.zip=file.txt]
<li class="item">
    <a class="noeffect" href="%item-url%">
  		<span class="image" style="background-image: url('/template/images/%item-ext%.png');"></span>
  		<span class="name" style="max-width: 85%;"> %item-name%{.if|{.get|is new.}|&nbsp;<img alt="rating" src="/template/images/new.png" />.}</span>
  		<span class="comment" style="max-width: 85%;">%item-comment%</span>
		<span class="prop_ext">%item-ext%</span>
  		<span class="prop_date">%item-modified%</span>
  		<span class="prop_size">%item-size-kb% kb</span>
    </a>
</li> 

[folder]
<li class="item">
    <a class="noeffect" href="%item-url%">
  		<span class="image" style="background-image: url('/template/images/folder.gif');"></span>
  		<span class="name" style="max-width: 80%;"> %item-name%{.if|{.get|is new.}|&nbsp;<img alt="rating" src="/template/images/new.png" />.}</span>
  		<span class="comment">%item-comment%</span>
  		<span class="prop_date">%item-modified%</span>
  		<span class="arrow"></span>
    </a>
</li>
